Package org.opensaml.xmlsec

# Interface DecryptionParametersResolver

All Superinterfaces:
  `Resolver<DecryptionParameters,CriteriaSet>`

All Known Implementing Classes:
  `BasicDecryptionParametersResolver`, `StaticDecryptionParametersResolver`

public interface DecryptionParametersResolver extends Resolver<DecryptionParameters,CriteriaSet>
An interface for components which resolve `DecryptionParameters` based on a `CriteriaSet`.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`